/*========================================================================
 * IBM Confidential
 * OCO Source Materials
 *
 * IBM SDK, Java(tm) Technology Edition, v6
 * (C) Copyright IBM Corp. 2007, 2007. All Rights Reserved
 *
 * The source code for this program is not published or otherwise divested of
 * its trade secrets, irrespective of what has been deposited with the U.S.
 * Copyright office.
 *========================================================================
 */
/*
 * Copyright (C) 2006 Sun Microsystems, Inc. All rights reserved. Use is
 * subject to license terms.
 */

package java.awt.peer;

import java.awt.TrayIcon;
import java.awt.Dimension;
import java.awt.Point;

public interface TrayIconPeer {
    void dispose();
    void setToolTip(String tooltip);
    void updateImage();
    void displayMessage(String caption, String text, String messageType);
    void showPopupMenu(int x, int y);
}
