/*========================================================================
 * IBM Confidential
 * OCO Source Materials
 *
 * IBM SDK, Java(tm) Technology Edition, v6
 * (C) Copyright IBM Corp. 2002, 2007. All Rights Reserved
 *
 * The source code for this program is not published or otherwise divested of
 * its trade secrets, irrespective of what has been deposited with the U.S.
 * Copyright office.
 *========================================================================
 */
/*
 * @(#)PrintServiceAttribute.java	1.5 05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javax.print.attribute;

/**
 * Interface PrintServiceAttribute is a tagging interface which a printing 
 * attribute class implements to indicate the attribute describes the status 
 * of a Print Service or some other characteristic of a Print Service. A Print 
 * Service instance adds a number of PrintServiceAttributes to a Print
 * service's attribute set to report the Print Service's status. 
 * <P>
 *
 * @see PrintServiceAttributeSet
 *
 * @author  Alan Kaminsky
 */
public interface PrintServiceAttribute extends Attribute {
}
